flink-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ches...@apache.org
Subject [4/4] flink git commit: [FLINK-6965] Include snappy-java in flink-dist
Date Tue, 11 Jul 2017 17:45:33 GMT
[FLINK-6965] Include snappy-java in flink-dist

This closes #4160.


Project: http://git-wip-us.apache.org/repos/asf/flink/repo
Commit: http://git-wip-us.apache.org/repos/asf/flink/commit/021d27d5
Tree: http://git-wip-us.apache.org/repos/asf/flink/tree/021d27d5
Diff: http://git-wip-us.apache.org/repos/asf/flink/diff/021d27d5

Branch: refs/heads/master
Commit: 021d27d54960bedd58b00e89f7898a34f3991336
Parents: ed3b326
Author: zentol <chesnay@apache.org>
Authored: Wed Jun 21 16:18:34 2017 +0200
Committer: zentol <chesnay@apache.org>
Committed: Tue Jul 11 18:27:06 2017 +0200

----------------------------------------------------------------------
 flink-core/pom.xml           | 13 ++++++-------
 pom.xml                      |  6 ++++++
 tools/travis_mvn_watchdog.sh |  9 ++++++++-
 3 files changed, 20 insertions(+), 8 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flink/blob/021d27d5/flink-core/pom.xml
----------------------------------------------------------------------
diff --git a/flink-core/pom.xml b/flink-core/pom.xml
index 5b42220..c6ba680 100644
--- a/flink-core/pom.xml
+++ b/flink-core/pom.xml
@@ -79,13 +79,12 @@ under the License.
 		<dependency>
 			<groupId>org.apache.avro</groupId>
 			<artifactId>avro</artifactId>
-			<!-- managed version -->
-			<exclusions>
-				<exclusion>
-					<groupId>org.xerial.snappy</groupId>
-					<artifactId>snappy-java</artifactId>
-				</exclusion>
-			</exclusions>
+		</dependency>
+
+		<!-- We explicitly depend on snappy since connectors that require it load it through
the system class loader -->
+		<dependency>
+			<groupId>org.xerial.snappy</groupId>
+			<artifactId>snappy-java</artifactId>
 		</dependency>
 
 		<!-- ASM is needed for type extraction -->

http://git-wip-us.apache.org/repos/asf/flink/blob/021d27d5/pom.xml
----------------------------------------------------------------------
diff --git a/pom.xml b/pom.xml
index 091769f..3de92c7 100644
--- a/pom.xml
+++ b/pom.xml
@@ -267,6 +267,12 @@ under the License.
 				<version>1.8.2</version>
 			</dependency>
 
+			<dependency>
+				<groupId>org.xerial.snappy</groupId>
+				<artifactId>snappy-java</artifactId>
+				<version>1.1.1.3</version>
+			</dependency>
+
 			<!-- Make sure we use a consistent commons-cli version throughout the project -->
 			<dependency>
 				<groupId>commons-cli</groupId>

http://git-wip-us.apache.org/repos/asf/flink/blob/021d27d5/tools/travis_mvn_watchdog.sh
----------------------------------------------------------------------
diff --git a/tools/travis_mvn_watchdog.sh b/tools/travis_mvn_watchdog.sh
index f3c1699..b22bfe0 100755
--- a/tools/travis_mvn_watchdog.sh
+++ b/tools/travis_mvn_watchdog.sh
@@ -165,7 +165,7 @@ watchdog () {
 	done
 }
 
-# Check the final fat jar for illegal artifacts
+# Check the final fat jar for illegal or missing artifacts
 check_shaded_artifacts() {
 	jar tf build-target/lib/flink-dist*.jar > allClasses
 	ASM=`cat allClasses | grep '^org/objectweb/asm/' | wc -l`
@@ -184,6 +184,13 @@ check_shaded_artifacts() {
 		exit 1
 	fi
 
+	SNAPPY=`cat allClasses | grep '^org/xerial/snappy' | wc -l`
+	if [ $SNAPPY == "0" ]; then
+		echo "=============================================================================="
+		echo "Missing snappy dependencies in fat jar"
+		echo "=============================================================================="
+		exit 1
+	fi
 }
 
 # =============================================================================


Mime
View raw message